PREFIX  = armv3-none-eabi
SHELL   = /bin/sh

CC      = ${PREFIX}-gcc
AS      = ${PREFIX}-as
OBJCOPY = ${PREFIX}-objcopy
AR 		= ${PREFIX}-ar

CFLAGS = -march=armv3 -mno-thumb-interwork -g -std=c99 -nostartfiles -Wall -Wno-format -fno-builtin -O0
ASFLAGS	= -march=armv3 -mno-thumb-interwork -g -O0

PROGRAM 		= ${ROOT}/test-program
SS_TESTS        = ${ROOT}/single-step-tester

GDBSTUB 		= ${ROOT}/gdb-stub
GDBSTUB_HEADERS = ${GDBSTUB}/include
GDBSTUB_BUILD   = ${GDBSTUB}/build
GDBSTUB_LIBS 	= ${GDBSTUB_BUILD}/libs


# Uncomment to disable interrupts
# DEBUG_FLAGS 	= -D DISABLE_DEBUGGER
