#pragma once
#include <stdint.h>
#include <stdbool.h>

#include "gdb.h"

// Returns true when the exception should be forwarded to user handler
bool gdb_exception_handler(uint32_t * registers);

void gdb_print(char *buffer);

// Returns true when the exception should be forwarded to user handler
bool gdb_c_irq_handler(uint32_t *pc, uint32_t spsr);